import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetRasterDataCollectionInput,
  GetRasterDataCollectionOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer };
export { $Command };
export interface GetRasterDataCollectionCommandInput
  extends GetRasterDataCollectionInput {}
export interface GetRasterDataCollectionCommandOutput
  extends GetRasterDataCollectionOutput,
    __MetadataBearer {}
declare const GetRasterDataCollectionCommand_base: {
  new (
    input: GetRasterDataCollectionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetRasterDataCollectionCommandInput,
    GetRasterDataCollectionCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetRasterDataCollectionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetRasterDataCollectionCommandInput,
    GetRasterDataCollectionCommandOutput,
    SageMakerGeospatialClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetRasterDataCollectionCommand extends GetRasterDataCollectionCommand_base {
  protected static __types: {
    api: {
      input: GetRasterDataCollectionInput;
      output: GetRasterDataCollectionOutput;
    };
    sdk: {
      input: GetRasterDataCollectionCommandInput;
      output: GetRasterDataCollectionCommandOutput;
    };
  };
}
